=== test/py/requirements.txt ===
filelock==3.20.1
pycryptodomex==3.21.0
pytest==8.4.2
pytest-xdist==2.5.0
FATtools==1.0.42
