=== drivers/clk/exynos/Makefile ===
# SPDX-License-Identifier: GPL-2.0+
#
# Copyright (C) 2016 Samsung Electronics
# Copyright (C) 2023 Linaro Ltd.
#
# Authors:
#   Thomas Abraham <thomas.ab@samsung.com>
#   Sam Protsenko <semen.protsenko@linaro.org>

obj-$(CONFIG_$(PHASE_)CLK_CCF)	+= clk.o clk-pll.o
obj-$(CONFIG_CLK_EXYNOS7420)		+= clk-exynos7420.o
obj-$(CONFIG_CLK_EXYNOS7870)		+= clk-exynos7870.o
obj-$(CONFIG_CLK_EXYNOS850)		+= clk-exynos850.o
