=== drivers/video/stm32/Makefile ===
# SPDX-License-Identifier: GPL-2.0+
#
# Copyright (C) STMicroelectronics SA 2017
#
# Authors: Philippe Cornu <philippe.cornu@st.com>
#          Yannick Fertre <yannick.fertre@st.com>

obj-${CONFIG_VIDEO_STM32} = stm32_ltdc.o
obj-${CONFIG_VIDEO_STM32_DSI} += stm32_dsi.o
obj-${CONFIG_VIDEO_STM32_LVDS} += stm32_lvds.o
